import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

public class ImageFilter extends FileFilter 
{

  // bestimmt die Dateinamenerweiterung
  public static String getExtension(File f) 
  {
    String ext = null;
    String s = f.getName();
    int i = s.lastIndexOf('.');
    if (i > 0 &&  i < s.length() - 1) 
    {
      ext = s.substring(i+1).toLowerCase();
    }
    return ext;
  }
    
  // akzeptiert alle Verzeichnisse und smtliche gif, jpg, or tiff Dateien.
  public boolean accept(File f) 
  {
    if (f.isDirectory()) 
    {
      return true;
    }
  	String extension = getExtension(f);
		if (extension != null) 
		{
    	if (extension.equals("tiff") ||
        extension.equals("tif") ||
        extension.equals("gif") ||
        extension.equals("jpeg") ||
        extension.equals("jpg")) 
    	{ return true; } 
   		else 
    	{ return false; }
  	}
  	return false;
  }
    
  // Der Filter braucht noch einen Descriptor
  public String getDescription() 
  {
    return "nur Bilder";
  }
}