import java.awt.*;
import javax.swing.*;

/**
 * Klasse fr das "Bitte warten" Fenster
 * Ich habs nicht von Dialog abgeleitet, oder von Frame oder so,
 * weil es dafr keinen Konstruktor Dialog(String) gibt.
 * Deshalb knnte man fr die MessageWindow Klasse auch keinen
 * Konstruktor MessageWindow(String) machen.
 * Schien mir jedenfalls so.
 * @author Hari
 * @version 1 - 9.1.2000
 */
class MessageWindow {
	
    /**
     * Poppt das Fenster auf
     * Schlieen geht mit <CODE>Dialog.dispose</CODE>
     * @author Hari
     * @returns Dialog
     */
	public static Dialog popup(String msg) {
		Dialog msgDialog;
		Label label;
		int dlgWidth, dlgHeight;
		Dimension scrnSize;
		Font font;
		
		msgDialog = new Dialog(new Frame());
		
		font = new Font("SansSerif", Font.BOLD, 28);
		msg = new String("  " + msg + "  ");
		label = new Label(msg);
		label.setFont(font);
		msgDialog.add(label);
		
		dlgHeight = msgDialog.getFontMetrics(font).stringWidth(msg);
		dlgWidth = msgDialog.getFontMetrics(font).getHeight() * 2;
		scrnSize= Toolkit.getDefaultToolkit().getScreenSize();
        msgDialog.setSize(dlgHeight, dlgWidth);
         Dimension d = msgDialog.getSize();
		msgDialog.setLocation((scrnSize.width-d.width)/2, (scrnSize.height-d.height)/2);
         msgDialog.pack();
		msgDialog.setResizable(false);
		msgDialog.setVisible(true);
		msgDialog.toFront();
		return msgDialog;
	}
}