import java.awt.*;
import javax.swing.*;

/**
 * Image-Klasse, die eine einfache Darstellung von BufferedImages sowie einen Listener zur Verfgung
 * stellt
 * @author  Christoph Ballhause
 * @version 1-29.11.1999
 */
public class OurImage extends JPanel
{
	private Image localImage;				// wird bentigt, um die Referenz fr die paint-Methode zu halten
	
    /**
     *
     * @author  Christoph Ballhause
     * @version 1-29.11.1999
     * @param
     */
    public void paint(Graphics g)
    {
        super.paint(g);						// erstmal paint des Panels rufen
        g.drawImage(localImage, 0, 0, this);	// und dann noch das Bild drbermalen
    }
	
    /**
     *
     * @author  Christoph Ballhause
     * @version 1-29.11.1999
     * @param
     */
    public OurImage(Image im)				// Constructor, speichert nur die Referenz    
    {
        localImage=im;
    }
}