import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

public class ImageFileView extends FileView {
  ImageIcon jpgIcon = new ImageIcon("jpgIcon.gif");
  ImageIcon gifIcon = new ImageIcon("gifIcon.gif");
  ImageIcon tiffIcon = new ImageIcon("tiffIcon.gif");
    
  public String getName(File f) 
  {
    return null; 
  }
    
  public String getDescription(File f) 
  {
    return null; 
  }
    
  public Boolean isTraversable(File f) 
  {
    return null; 
  }
    
  public String getTypeDescription(File f) 
  {
    String extension = ImageFilter.getExtension(f);
    String type = null;

    if (extension != null) 
    {
      if (extension.equals("jpeg") || extension.equals("jpg")) 
      { type = "JPEG Image"; } 
      else 
       	if (extension.equals("gif"))
        { type = "GIF Image";	} 
        else 
          if (extension.equals("tiff") || extension.equals("tif")) 
		    	{	type = "TIFF Image"; } 
    }
    return type;
  }
    
  public Icon getIcon(File f) 
  {
    String extension = ImageFilter.getExtension(f);
    Icon icon = null;

    if (extension != null) 
    {
      if (extension.equals("jpeg") || extension.equals("jpg")) 
      { icon = jpgIcon; } 
      else 
      	if (extension.equals("gif"))
        { icon = gifIcon; } 
        else 
        	if (extension.equals("tiff") || extension.equals("tif")) 
          { icon = tiffIcon; } 
    }
    return icon;
  }
}